# $Revision: 1.35 $, $Date: 2003/08/08 12:35:03 $
Summary:	GNU time Utility
Summary(de):	GNU-Time-Utility
Summary(fr):	Utilitaire time de GNU
Summary(pl):	Narzdzie do pomiaru czasu GNU
Summary(tr):	GNU zamanlama arac
Name:		time
Version:	1.7
Release:	16
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.gnu.org/gnu/time/%{name}-%{version}.tar.gz
# Source0-md5:	e38d2b8b34b1ca259cf7b053caac32b3
Patch0:		%{name}-info.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-alpha.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 'time' utility is used as a sort of 'stopwatch' to time the
execution of a specified command. It can aid in the optimization of
programs for maximum speed, as well as a number of other uses.

%description -l de
Das TIME-Utility wird als eine Art Stoppuhr zum Messen der Ausfhrung
eines bestimmten Befehls benutzt. Es dient in erster Linie der
Optimierung von Programmen fr maximale Geschwindigkeit, hat aber
daneben eine Vielzahl anderer Anwendungen.

%description -l fr
L'utilitaire  time  sert de chronomtre pour mesurer le temps
d'excution d'une commande donne. Il peut aider  l'optimisation de
programmes pour obtenir une vitesse maximale et a beaucoup d'autres
uilisations.

%description -l pl
Program time umoliwia zmierzenie czasu wykonania badanego programu.
Jest pomocne np. przy optymalizowaniu algorytmw pod ktem szybkoci.

%description -l tr
time, bir uygulamann alma zamannn llmesi iin kronometre gibi
kullanlr. Genellikle programlarn hz asndan iyiletirilmesinde
yararl olur.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install time.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/time
%{_infodir}/time.info*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: time.spec,v $
Revision 1.35  2003/08/08 12:35:03  qboosh
- added alpha patch to force using wait3() and allow build on alpha
- simplified install, BR: am
- release 16

Revision 1.34  2003/05/27 12:03:18  trojan
- added Source-md5

Revision 1.33  2003/05/25 06:27:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/12/24 00:26:02  qboosh
- updated Source0 URL

Revision 1.31  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.30  2002/05/21 23:14:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/07/15 23:56:02  kloczek
- release 15: added texinfo to BuildRequires.

Revision 1.23  2000/10/12 02:14:56  kloczek
- release 14: use new rpm automation.

Revision 1.22  2000/06/18 22:54:25  kloczek
- release 13,
- spec adapterized.

Revision 1.21  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.19  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.18  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.16  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.15  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.14  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 31 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.7-10]
- more rpm macros.

* Thu Apr 22 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.7-9]
- gzipped docs
- compiled on rpm 3

* Mon Dec 27 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.7-8]
- standarized {un}registering info pages (added time-info.patch),
- added useing "make install" in %install,
- added gzipping man pages.

* Mon Dec 14 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.7-7]
- added "Prereq: /sbin/install-info",
- standarized {un}registering info pages.

* Sat Oct 10 1998 Marcin Korzonek <mkorz@shadow.eu.org>
- added pl translation,
- allow building from non root account,
- build against GNU libc-2.1.
